com.pdfunit.validators

## Class PropertyValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.PropertyValidator

-     @DoNotObfuscate
      public final class PropertyValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for any property in PDF documents.

  This class is the superclass for other more specific validators for 'Author', 'Creator' etc.

  Since:
    2016.05
  Author:
    Carsten Siedentop, January 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentValidator` | `containing(java.lang.String expectedContent)` This method does what the name suggests.
    `DocumentValidator` | `containing(java.lang.String expectedContent, WhitespaceProcessing whitespaceProcessing)` This method does what the name suggests.
    `DocumentValidator` | `endingWith(java.lang.String expectedEnd)` This method does what the name suggests.
    `DocumentValidator` | `equalsTo(java.lang.String expectedValue)` This method does what the name suggests.
    `protected DocumentValidator` | `hasNoProperty(java.lang.String key)` This method does what the name suggests.
    `protected DocumentValidator` | `hasProperty(java.lang.String key)` This method does what the name suggests.
    `DocumentValidator` | `matchingRegex(java.lang.String regex)` This method does what the name suggests.
    `DocumentValidator` | `notContaining(java.lang.String notExpectedContent)` This method does what the name suggests.
    `DocumentValidator` | `notMatchingRegex(java.lang.String regex)` This method does what the name suggests.
    `DocumentValidator` | `startingWith(java.lang.String expectedStart)` This method does what the name suggests.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PropertyValidator

          protected PropertyValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### hasProperty

          protected DocumentValidator hasProperty(java.lang.String key)

      This method does what the name suggests.

    - #### hasNoProperty

          protected DocumentValidator hasNoProperty(java.lang.String key)

      This method does what the name suggests.

    - #### containing

          @Guarded
          public DocumentValidator containing(java.lang.String expectedContent)

      This method does what the name suggests.

    - #### containing

          @Guarded
          public DocumentValidator containing(java.lang.String expectedContent,
                                             WhitespaceProcessing whitespaceProcessing)

      This method does what the name suggests.

    - #### endingWith

          @Guarded
          public DocumentValidator endingWith(java.lang.String expectedEnd)

      This method does what the name suggests.

    - #### equalsTo

          @Guarded
          public DocumentValidator equalsTo(java.lang.String expectedValue)

      This method does what the name suggests.

    - #### notContaining

          @Guarded
          public DocumentValidator notContaining(java.lang.String notExpectedContent)

      This method does what the name suggests.

    - #### notMatchingRegex

          @Guarded
          public DocumentValidator notMatchingRegex(java.lang.String regex)

      This method does what the name suggests.

    - #### startingWith

          @Guarded
          public DocumentValidator startingWith(java.lang.String expectedStart)

      This method does what the name suggests.

    - #### matchingRegex

          @Guarded
          public DocumentValidator matchingRegex(java.lang.String regex)

      This method does what the name suggests.

Copyright (C) PDFUnit.com. See here for license.